package client.renderer.entity;

import client.renderer.layers.LayerSheepWool;
import client.renderer.model.ModelBase;
import common.entity.animal.EntitySheep;


public class RenderSheep extends RenderLiving<EntitySheep>
{
    private static final String shearedSheepTextures = "textures/creature/sheep.png";

    public RenderSheep(RenderManager renderManagerIn, ModelBase modelBaseIn)
    {
        super(renderManagerIn, modelBaseIn);
        this.addLayer(new LayerSheepWool(this));
    }

    /**
     * Returns the location of an entity's texture. Doesn't seem to be called unless you call Render.bindEntityTexture.
     */
    protected String getEntityTexture(EntitySheep entity)
    {
        return shearedSheepTextures;
    }
}
